Package com.castlabs.android.player.filter

## Class AbstractPlayerModelFilter

- java.lang.Object
- - com.castlabs.android.player.filter.AbstractPlayerModelFilter

- All Implemented Interfaces:
    `PlayerModelFilter`

      public abstract class AbstractPlayerModelFilter
      extends Object
      implements PlayerModelFilter

  Convenience abstract and no-op implementation of `PlayerModelFilter`.
  Since:
    4.2.26

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractPlayerModelFilter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onAudioTracks​(Collection<AudioTrack> audioTracks)` | Apply custom filter logic on AudioTracks.
    `void` | `onSubtitleTracks​(Collection<SubtitleTrack> subtitleTracks)` | Apply custom filter logic on SubtitleTracks.
    `void` | `onVideoTracks​(Collection<MutableVideoTrack> videoTracks)` | Apply custom filter logic on VideoTracks.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractPlayerModelFilter

          public AbstractPlayerModelFilter()

  - ### Method Detail

    - #### onVideoTracks

          public void onVideoTracks​(@NonNull
                                    Collection<MutableVideoTrack> videoTracks)

      Description copied from interface: `PlayerModelFilter`
      Apply custom filter logic on VideoTracks. If `qualities` are to be filtered, this can be achieved by calling `MutableVideoTrack.removeQuality(VideoTrackQuality)` on its parent `VideoTrack`.
      Specified by:
        `onVideoTracks` in interface `PlayerModelFilter`
      Parameters:
        `videoTracks` - tracks to filter

    - #### onAudioTracks

          public void onAudioTracks​(@NonNull
                                    Collection<AudioTrack> audioTracks)

      Description copied from interface: `PlayerModelFilter`
      Apply custom filter logic on AudioTracks.
      Specified by:
        `onAudioTracks` in interface `PlayerModelFilter`
      Parameters:
        `audioTracks` - tracks to filter

    - #### onSubtitleTracks

          public void onSubtitleTracks​(@NonNull
                                       Collection<SubtitleTrack> subtitleTracks)

      Description copied from interface: `PlayerModelFilter`
      Apply custom filter logic on SubtitleTracks.
      Specified by:
        `onSubtitleTracks` in interface `PlayerModelFilter`
      Parameters:
        `subtitleTracks` - tracks to filter